Bug 19882 - Initscripts update enables network & network-up services although system has switched to use NetworkManager
Summary: Initscripts update enables network & network-up services although system has ...
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: release_blocker normal
Target Milestone: Mageia 8
Assignee: Base system maintainers
QA Contact:
URL:
Whiteboard:
Keywords: FOR_ERRATA6
Depends on:
Blocks:
 
Reported: 2016-12-02 09:17 CET by Jüri Ivask
Modified: 2020-01-21 19:54 CET (History)
5 users (show)

See Also:
Source RPM: initscripts-9.55-24.mga6.src.rpm; initscripts-9.78-10.mga7.src.rpm; initscripts-9.78-13.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Jüri Ivask 2016-12-02 09:17:21 CET
Description of problem: Initscripts update enables network.service & network-up.service although system has switched to use NetworkManager.

This causes very long startup time.

systemctl disable network.service and systemctl disable network-up.service returns system to normal startup time.


Version-Release number of selected component (if applicable): 9.55-22
Comment 1 Sander Lepik 2016-12-02 09:22:26 CET
I think it's a bug that should be fixed before Mageia 6 is released.

CC: (none) => mageia
Target Milestone: --- => Mageia 6
Assignee: bugsquad => mageia

Comment 2 Samuel Verschelde 2016-12-02 09:32:47 CET
(In reply to Sander Lepik from comment #1)
> I think it's a bug that should be fixed before Mageia 6 is released.

Well assigning it to Colin is maybe not the best way to have it fixed quickly, currently :)

Assignee: mageia => basesystem
Priority: Normal => High
CC: (none) => mageia

Comment 3 Jüri Ivask 2017-02-28 10:22:45 CET
Bug still present in last initscripts update:  initscripts-9.55-23.mga6
Comment 4 Jüri Ivask 2017-03-15 08:10:28 CET
Bug still present in last initscripts update: initscripts-9.55-24.mga6
Comment 5 Jaanus Ojangu 2017-03-18 19:02:49 CET
Same problem in my Cauldron,not in first time

CC: (none) => jaanus.ojangu

Comment 6 Samuel Verschelde 2017-07-10 15:21:55 CEST
It would be good to add a note about this in the Errata, thus I'm adding the FOR_ERRATA6 keyword.

Once added to https://wiki.mageia.org/en/Mageia_6_Errata please replace FOR_ERRATA6 with IN_ERRATA6.

Keywords: (none) => FOR_ERRATA6

Comment 7 Jüri Ivask 2017-08-02 08:18:46 CEST
Still present in Mageia 6 initscripts-9.55-24.mga6.src.rpm and in Cauldron initscripts-9.55-26.mga7.src.rpm

Source RPM: initscripts-9.55-22.mga6.src.rpm => initscripts-9.55-24.mga6.src.rpm; initscripts-9.55-26.mga7.src.rpm

Comment 8 Sander Lepik 2017-08-02 14:40:07 CEST
I hope it's fixed for cauldron.

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 9 Rémi Verschelde 2017-08-02 14:41:29 CEST
If it's fixed, I'd like to see it proposed as an update to Mageia 6, as I'm also annoyed by this bug.

Version: Cauldron => 6
Resolution: FIXED => (none)
Status: RESOLVED => REOPENED

Comment 10 Jüri Ivask 2018-10-30 09:44:50 CET
Still present in Cauldron initscripts-9.78-9.mga7...

Source RPM: initscripts-9.55-24.mga6.src.rpm; initscripts-9.55-26.mga7.src.rpm => initscripts-9.55-24.mga6.src.rpm; initscripts-9.78-9.mga7.src.rpm
Version: 6 => Cauldron
Target Milestone: Mageia 6 => Mageia 7

Ulrich Beckmann 2018-10-31 19:43:21 CET

CC: (none) => bequimao.de

Comment 11 Sander Lepik 2019-02-10 15:30:06 CET
I'll set it as a release blocker. More and more users are probably switching to NM nowadays and update to initscripts just screws their installation :/

Priority: High => release_blocker

Comment 12 Ulrich Beckmann 2019-09-28 11:47:56 CEST
Found network.service and network-up.service enabled in a new Mga8 Cauldron. It is an upgrade from a clone of a Mga7 installation. Both services were disabled at origin.
Jüri Ivask 2019-10-04 10:39:37 CEST

Source RPM: initscripts-9.55-24.mga6.src.rpm; initscripts-9.78-9.mga7.src.rpm => initscripts-9.55-24.mga6.src.rpm; initscripts-9.78-10.mga7.src.rpm; initscripts-9.78-11.mga8.src.rpm
Target Milestone: Mageia 7 => Mageia 8

Comment 13 Bit Twister 2019-10-05 23:19:40 CEST
(In reply to Ulrich Beckmann from comment #12)
> Found network.service and network-up.service enabled in a new Mga8 Cauldron.
> It is an upgrade from a clone of a Mga7 installation. Both services were
> disabled at origin.

It is a systemd standard procedure to enable service, 
 even though you disabled it, upon new systemd release.

You have to systemctl mask unit/item_here to disable systemd from enabling
it upon new systemd release.
Comment 14 Morgan Leijström 2019-10-06 17:34:45 CEST
Should we write more about this in Mageia 7 Release notes= I only find same info in

https://wiki.mageia.org/en/Mageia_7_Release_Notes#Enlightenment

https://wiki.mageia.org/en/Mageia_7_Errata#GNOME


But i think it is not general nor obvious enough?

CC: (none) => fri

Ulrich Beckmann 2020-01-21 18:57:25 CET

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=26035

Jüri Ivask 2020-01-21 19:54:47 CET

Source RPM: initscripts-9.55-24.mga6.src.rpm; initscripts-9.78-10.mga7.src.rpm; initscripts-9.78-11.mga8.src.rpm => initscripts-9.55-24.mga6.src.rpm; initscripts-9.78-10.mga7.src.rpm; initscripts-9.78-13.mga8.src.rpm


Note You need to log in before you can comment on or make changes to this bug.